Bug 1472334 - [OVS] mcast-snooping: Avoid segfault for vswitchd
[OVS] mcast-snooping: Avoid segfault for vswitchd
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openvswitch (Show other bugs)
10.0 (Newton)
x86_64 Linux
high Severity high
: z4
: 10.0 (Newton)
Assigned To: Timothy Redaelli
Eran Kuris
: Triaged, ZStream
Depends On: 1456356
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 09:19 EDT by Timothy Redaelli
Modified: 2017-10-06 14:17 EDT (History)
15 users (show)

See Also:
Fixed In Version: openvswitch-2.6.1-11.git20161206.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1456356
Environment:
Last Closed: 2017-09-06 12:59:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mleitner: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Timothy Redaelli 2017-07-18 09:19:46 EDT
+++ This bug was initially created as a clone of Bug #1456356 +++

This bugzilla is opened in order to make include the following upstream fix in downstream OVS 2.6.
Description (from github):

The ports which are attached mrouters or hosts, were destroyed
by users via ovs-vsctl commands. Currently the vswitch will
segfault if users use "ovs-appctl mdb/show" to show mdb info.
This patch avoids a segfault.


[1] https://github.com/openvswitch/ovs/commit/0ae08f8334f9d62889031277722eccac33b404ef
Comment 6 Eran Kuris 2017-08-21 07:44:16 EDT
Fixed verified 

[root@controller-0 ~]# rpm -qa | grep openvswitch-2.6.
python-openvswitch-2.6.1-13.git20161206.el7ost.noarch
openvswitch-2.6.1-13.git20161206.el7ost.x86_64
[root@controller-0 ~]# cat /etc/yum.repos.d/latest-installed 
10   -p 2017-08-18.2

used this guide for generating multicast traffic: 
https://gist.github.com/jayjanssen/5697813
Comment 8 errata-xmlrpc 2017-09-06 12:59:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2648

Note You need to log in before you can comment on or make changes to this bug.